PCSC_SCAN(1)

NAME
pcsc_scan - regularly scans every PC/SC readers connected to the host

SYNOPSIS
pcsc_scan [options]

DESCRIPTION
This manual page documents the pcsc_scan command.

pcsc_scan is a program that regularly scans every PC/SC readers connected to the host and display the status of the cards inserted in the readers. The normal way to exit the program is to use Control-C. When pcsc_scan is started it asks PC/SC layer the list of available smart card readers. The list is printed. A sequence number is printed before each reader. Example:
 PC/SC device scanner
 V 1.4.27 (c) 2001-2017, Ludovic Rousseau
 Scanning present readers...
 0: Gemalto PC Twin Reader When a card is inserted in any reader some information is printed:

date and time:
    Wed Apr 12 14:25:30 2017

reader name:
    Reader 0: Gemalto PC Twin Reader

card state and occurred event:
    Card state: Card inserted,

ATR in case of card insertion:
    ATR: 3B 82 00 86 1E

print an ATR analysis if the ATR_analysis command is available:
     ATR: 3B 82 00 86 1E
     + TS = 3B --> Direct Convention
     + T0 = 82, Y(1): 1000, K: 2 (historical bytes)
       TD(1) = 00 --> Y(i+1) = 0000, Protocol T = 0
     -----
     + Historical bytes: 86 1E

OPTIONS

-h  print help

-V  print version number

-n  do not print ATR analysis. Use this option if ATR_analysis is not available for example.

-r  prints the list of readers and then exits.

-s  stress mode. Sends APDU commands to the card indefinitely (until the card or the reader is removed).

-q  quiet: prints minimal messages.

-v  verbose: prints additional messages (default).

SEE ALSO
pcscd(8), ATR_analysis(1)

AUTHOR
Ludovic Rousseau <ludovic.rousseau@free.fr>